<?php
// Managed by CHEF PROJECT COOKBOOK
$_SERVER["DOCUMENT_ROOT"] = "<%= @server_root %>";
$DOCUMENT_ROOT = $_SERVER["DOCUMENT_ROOT"];
define("NO_KEEP_STATISTIC", true);
define("NOT_CHECK_PERMISSIONS",true);
define("BX_NO_ACCELERATOR_RESET", true);
require($_SERVER["DOCUMENT_ROOT"]."/bitrix/modules/main/include/prolog_before.php");

if(!CModule::IncludeModule("search"))
{
  echo "Not found search module for <%= @project %>";
  return 1;
}


// update options
COption::SetOptionString("search", "full_text_engine", "sphinx");
COption::SetOptionString("search", "sphinx_connection", "<%= @sphinx_mysqlproto_listen %>");
COption::SetOptionString("search", "sphinx_index_name", "<%= @sphinx_index_name %>");
echo "Sphinx search on on site";

return 0;
